Grants, vesting & distributions

Get Grant Information By Recipient

Lists a recipient's non-SCP grants with schedule fields.

GEThttps://api.toku.com/tga/get-grant-information-by-recipient

Not available to API keys yet. It will need grants:read.

curl --request GET \
  --url 'https://api.toku.com/tga/get-grant-information-by-recipient?roleInOrgID=%3CroleInOrgID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "grantID": "string",
    "frequency": "string",
    "period": "string",
    "cliff": 0,
    "cliffPercent": 0,
    "offPlatform": "string",
    "grantName": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

roleInOrgIDstring<uuid>required

Response

200Successful response
grantIDstringrequired
frequencystring | nullrequired
periodstring | nullrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

cliffinteger | nullrequired
cliffPercentinteger | nullrequired
offPlatformstring | nullrequired
grantNamestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits